Package org.jfree.report.util.beans

## Class ConverterRegistry

- java.lang.Object
- - org.jfree.report.util.beans.ConverterRegistry

-     public final class ConverterRegistry
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ConverterRegistry` | `getInstance()` |
    `ValueConverter` | `getValueConverter​(java.lang.Class c)` |
    `static java.lang.String` | `toAttributeValue​(java.lang.Object o)` | Converts an object to an attribute value.
    `static java.lang.Object` | `toPropertyValue​(java.lang.String s, java.lang.Class c)` | Converts a string to a property value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static ConverterRegistry getInstance()

    - #### getValueConverter

          public ValueConverter getValueConverter​(java.lang.Class c)

    - #### toAttributeValue

          public static java.lang.String toAttributeValue​(java.lang.Object o)
                                                   throws BeanException

      Converts an object to an attribute value.
      Parameters:
        `o` - the object.
      Returns:
        the attribute value.
      Throws:
        `BeanException` - if there was an error during the conversion.

    - #### toPropertyValue

          public static java.lang.Object toPropertyValue​(java.lang.String s,
                                                         java.lang.Class c)
                                                  throws BeanException

      Converts a string to a property value.
      Parameters:
        `s` - the string.
      Returns:
        a property value.
      Throws:
        `BeanException` - if there was an error during the conversion.